Welcome to Registry Mechanic

Registry Mechanic is an easy-to-use application that uses high-performance algorithms to quickly identify invalid or orphaned references within the Windows Registry and allows you to repair each item selectively or repair them all automatically.

Registry Mechanic's Main Status screen

Please click on the appropriate section for more information:

  • Introduction - this section is an overview of Registry Mechanic's main functions and covers topics associated with purchasing and registering the application.

  • Getting Started - this section describes how to use Registry Mechanic, scan for problems in your Windows Registry and repair them.

  • Advanced Features - this section describes how to utilize more advanced features of Registry Mechanic, which include altering its functionality, adjusting finer aspects of its scan and repair behavior and obtaining support and updates.

  • Appendices - this section contains additional information and other detailed resources associated with Registry Mechanic.

  • Frequently Asked Questions (FAQs) - contains a list of technical FAQs designed to help troubleshoot various aspects of running Registry Mechanic.

To find out more on how to use this Help document, click here.

Copyright © 2003 PC Tools Research Pty Ltd. All rights reserved.


How to use this help document

This help document is designed to be easy to use and matches the layout and design of the Registry Mechanic application.

Navigation

Use the table of contents of this help document. In addition, you can also easily navigate around topics as described below.

There are five main sections of this help document, represented by book symbols in the table of contents:

  • Introduction

  • Getting Started

  • Advanced Features

  • Appendices

  • Frequently Asked Questions

When you are on one of these sections:

  • Click on a hyperlinked topic to go to its page.

  • Click on a Navigate to ... button to go to another section.

When you are on a topic:

  • Click on a light blue upward-pointing arrow ( [image]) to go back to the top of a menu within a page.

  • Click on a Related Topics button to go to another topic (within that section).

Click on a dark blue triangle ( [image]) at the end of any page to go up one level in the help document.

Use the forward and back buttons to navigate through pages. The back button is useful if you have navigated off a topic you have not yet completed reading.

Bold text

Indicates headings for descriptive subsections or procedures. Bold text also indicates visual clues on the screen, for example, descriptions of screen headings or buttons.

Consecutive steps

Consecutive steps that require being done in sequence (for example, navigating through a cascading menu) are indicated by arrows (->), which connect each step. Alternative names for a step are indicated with a slash (/) character.

For example, to open Registry Mechanic from the Start menu, click on the "Start" menu button, move up to "All Programs" (or "Programs") menu item. In the resulting cascading menu, select the "Registry Mechanic" folder and in the subsequent cascading menu, select the "Registry Mechanic" item itself.

This is easily represented by the following shorthand convention:

Click on Start -> All Programs / Programs -> Registry Mechanic (folder) -> Registry Mechanic

To proceed to the Introduction page, click here.


Introduction

This section is an overview of Registry Mechanic's main functions and contains details for purchasing and registering this application.

Please click on one of the following topics to go to its page:

  • Introduction to Registry mechanic

  • Product Features

  • What's new in this release?

  • System Requirements

  • Purchasing and registering Registry Mechanic

  • Uninstalling and upgrading Registry Mechanic


Introduction to Registry Mechanic

The Windows Registry is a database used to store important settings and options for Windows 95, 98, Me, NT, 2000 and XP. Windows operating systems cannot operate without it! The Registry contains information and settings for all the hardware, software, users, and preferences of your computer and operating system. Whenever a user makes changes to Control Panel settings, file associations, system policies, or installed software, the changes are reflected and stored in the Registry. Running an application on your computer can make several changes to your Registry.

Over time, invalid entries or orphaned references can accumulate in the Windows Registry. These problems may accumulate for several reasons:

  • Uninstalling or incorrectly removing software, resulting in invalid file or folder references as well as orphaned startup programs

  • Having missing or corrupt hardware or software drivers installed

  • Deleting files referenced by shortcuts.

An accumulation of invalid entries can slow down your system, cause it to generate error messages, prevent programs from functioning properly or result in your system becoming unstable and crashing.

Registry Mechanic can safely clean and repair invalid entries from your Windows Registry all within a few simple mouse clicks, thereby improving your system's performance and stability!


Product Features

Registry Mechanic's main features include the following:

  • Safely repair invalid entries in your Windows Registry, which can lead to Windows crashes and error messages

Over time, invalid entries and orphaned shortcuts can accumulate in the registry as a result of uninstalling or incorrectly removing software from your system, having missing or corrupt hardware or software drivers, or deleting files referenced by shortcuts. Registry Mechanic can safely clean and repair invalid entries from your registry with a few simple mouse clicks.

  • Improve system performance and stability by removing orphaned references in your Windows Registry

Registry Mechanic's ability to streamline your Windows Registry and remove orphaned references can significantly improve your system's stability and performance.

  • Fast and secure scanning algorithms, resulting in efficient scans of your Windows Registry

Registry Mechanic incorporates secure scanning algorithms, which target crucial areas of your Windows Registry, enabling a fast and efficient scan.

  • Scans your hard drive for invalid and incorrect program shortcuts

Registry Mechanic can scan for invalid and incorrect shortcuts in customizable locations on your PC.

  • Automatically creates Windows Registry backups with each repair, with the option to restore them

Registry Mechanic automatically creates a backup of all changes it makes to the registry, allowing these changes to be restored to their original condition at a later time. On Windows XP operating systems, Registry Mechanic also allows the creation of Windows System Restore points prior to implementing repair changes, as an additional backup measure.

  • Conduct an automatic scan at Windows startup, for continued system optimization

Registry Mechanic can be set to conduct a background scan each time you start up your PC. The Repair function can also be set to run automatically at the end of a scan, thereby allowing you to continue using your system without the need to interact with Registry Mechanic.

  • Other customizable features, including:

    • An Ignore List, allowing you to designate items you do not want to be repaired and detected in subsequent scans. Items can be added directly to the list or from the results of a scan.

    • The creation of informative, user-friendly logs, listing details of items found and memory resources available on your system.


What's new in this release?

Registry Mechanic 5.0 incorporates a number of improvements and enhancements:

  • The ability to compact the Windows Registry for optimized system performance

Registry Mechanic now incorporates a registry compacting feature, which analyzes, rebuilds and compacts the Windows Registry by removing registry gaps and free space, and corrupt keys.

  • A new 'Optimize Your System' feature

Registry Mechanic now implements a new system optimization function which, at the click of a button, applies a set of tweaks and patches directly into the Windows Registry that are designed to improve system performance.

  • An improved Graphical User Interface (GUI)

Registry Mechanic's GUI is now more intuitive and consistent with other PC Tools products. On the Main Status screen:

  • The main Action buttons progress you through scanning and repairing your Windows Registry, followed by tweaking and compacting the registry to optimize system performance

  • Buttons on the left allow you to display the Main Status screen, conduct a scan and repair, restore repair changes back to their original condition, and access Registry Mechanic's various Options.

  • Restore individual registry entries within a Windows Registry backup

Registry Mechanic's automatic Windows Registry backups are now expandable, such that individual registry entries can be selectively restored to their former state.

  • An improved Live Update feature

Live Update has been expanded to allow a greater range of Registry Mechanic's functionality and features to be updated through this tool.

  • Improved scanning algorithms

Scanning detection enhancements and other improvements have been incorporated into Registry Mechanic's scanning algorithms, resulting in enhanced problem detection and repair.


System Requirements

The following minimum system requirements are needed to run Registry Mechanic:

  • Intel 486 processor (or equivalent) or better

  • 16 MB of RAM available

  • 7 MB of free hard disk space

  • Internet Explorer 5.5 or greater

Registry Mechanic will operate on the following versions of Microsoft Windows:

  • Windows XP (Home and Professional)

  • Windows 2000 Professional

  • Windows NT Workstation 4.0

  • Windows Me

  • Windows 98

  • Windows 95 (Compacting is not supported)


Purchasing and registering Registry Mechanic

Purchasing

To purchase Registry Mechanic, complete the following steps:

  1. Click here to open the 'Registry Mechanic purchase web page'.

  2. Registry Mechanic purchase web page - Select the number of computers on which you wish to install registered copies of Registry Mechanic. When you have finalized your order, click on the "Purchase Now" button.

  3. PC Tools Shopping Cart / secure order web pages - Fill in the required information on these web pages and submit your purchase.

  4. After purchasing Registry Mechanic, you will be sent an e-mail confirming your purchase, which includes a License Name and License Code that will allow you to register Registry Mechanic.

Registration

To register Registry Mechanic, complete the following steps:

  1. After purchasing Registry Mechanic, click "Register Now" on Registry Mechanic's screen to open the Registration screen.

  2. Enter the License Name and License Code details as shown on your purchase confirmation page or e-mail message. It is important that the information entered into these fields is copied exactly as shown. To reduce the possibility of mistakes, it is recommended that you 'copy and paste' your License Name and License Code registration details from the purchase confirmation page or e-mail, directly onto the Registration screen.

  3. To 'copy and paste' your registration details, highlight your License Name below "Licensed to:". Note that you should only highlight from the first letter through to the last letter of the required information. Do not highlight any characters or spaces beyond these letters. Next, while holding down the 'Ctrl' key, press the 'C' key to copy your name details.

  4. Return to the Registry Mechanic Registration screen and click in the License Name field. While holding down the 'Ctrl' key, press the 'V' key to paste your name details into this field. Repeat this 'copy and paste' procedure from step 3 for the License Code information.

  5. Finally, click the Register button on the Registration screen. If your registration details are valid and have been entered correctly, a message confirming successful registration is displayed. Click the OK button on this message. You are now a registered user of Registry Mechanic and have access to all of Registry Mechanic's features and latest updates. After registration, "Register Now" at the top-right of Registry Mechanic's screen changes to "Live Update", which allows you to update or upgrade Registry Mechanic's features, and the Register Now button on the left changes to About, which displays the Registry Mechanic About screen when clicked.

Note: On some versions of Registry Mechanic, a "Need Help Registering?" link is available on the Registration screen. Click this link for further information on registering Registry Mechanic.


Uninstalling and upgrading Registry Mechanic

Uninstalling

To uninstall Registry Mechanic from your PC, ensure that the application has been closed. Next, click on Start -> All Programs / Programs -> Registry Mechanic (folder) -> Uninstall Registry Mechanic. Follow the prompts to remove the application from your computer.

Alternatively you can uninstall Registry Mechanic through the Windows Control Panel by completing the following steps:

  1. Ensure that the application has been closed, then open the Windows Control Panel by clicking Start -> (Settings ->) Control Panel.

  2. In the Control Panel, click or double-click "Add or Remove programs" / "Add/Remove Programs".

  3. In the list of currently installed programs/software, click the "Registry Mechanic" item to select it.

  4. Click the Remove / Add/Remove... button and follow the prompts to remove the application from your computer.

Upgrading

To update or upgrade Registry Mechanic:

Use Registry Mechanic's Live Update feature. This allows for new third party software support, main application files for upgraded functionality and Help updates.

Alternatively, download the new release of Registry Mechanic from the PC Tools web site and install it onto your PC. If you install an upgraded version of Registry Mechanic to the same location as your previous version, it installs over the earlier version, retaining your existing registration and configuration settings.


Getting Started

This section describes how to use Registry Mechanic, and how to scan and repair problems in your Windows Registry to optimize it for improved system performance.

Please click on one of the following topics to go to its page:

  • Launching Registry Mechanic and navigation

  • Main Status screen

  • Scan Your Registry

  • Scan results and modifying problems

  • Repairing problems

  • Scan and repair summary screen

  • Closing, minimizing and maximizing Registry Mechanic

To find out more about Registry Mechanic's advanced features, click here.


Launching Registry Mechanic and navigation

To start Registry Mechanic, double-click its icon on your desktop or single-click its icon in your Quick Launch bar. Note: these icons will not appear if they were not selected during installation.

If these icons are not available, you can open Registry Mechanic from the Start menu by clicking Start -> All Programs / Programs -> Registry Mechanic (folder) -> Registry Mechanic.

When Registry Mechanic is launched, the Main Status screen is displayed.

Registry Mechanic's Main Status screen

Navigation

The four buttons on the left have the following actions:

  • Status - Opens the Main Status screen.

  • Start Scan - Starts a Full Scan of the Windows Registry for problems.

  • Restore - Opens the Restore screen.

  • Options - Opens the Options screen.

  • About - Opens the About screen, which displays the product version and registration status. Note: Prior to registration, this button displays Register Now, which opens the Registration screen when clicked.


Main Status screen

Registry Mechanic's Main Status screen

The following is a description of Registry Mechanic's Main Status screen:

Select an Action

  • Scan Your Registry - Click this button to commence a Full Scan of the Windows Registry, search for problems and repair them.

  • Optimize Your System / Reset Optimization - Click this button to apply / remove a set of tweaks and patches to the Windows Registry, which are designed to optimize and improve system performance.

  • Compact Registry - Click this button to begin compacting the Windows Registry. This process is designed to improve system reliability and speed for every user on the system.

  • Click to reset statistics - Click to reset the values under the Status & Summary section (below).

Status and Summary

  • Last scan date and time - Displays the date and time of the last scan commenced. If the statistics are reset or a scan is not conducted or completed following installation, this field displays "Registry Mechanic" upon resetting the statistics.

  • Last scan results - Displays the number of problems found in the last scan. If the statistics are reset or a scan is not conducted or completed following installation, this field displays the build number of the Registry Mechanic application.

  • Last registry compaction date and time - Displays the date and time of the last registry compaction. If the statistics are reset or a registry compaction is not conducted or completed following installation, this field displays "Compact and optimize your registry" as a reminder to utilize the Compact Registry function for optimizing system performance.


Scan Your Registry

Registry Mechanic has two scanning functions:

Full Scan

To commence a deep and comprehensive scan of the Windows Registry (Full Scan), click either the Scan Your Computer button on the Main Status screen or the Start Scan button on the left of the screen.

Registry Mechanic starts a Full Scan, which scans all key sections of the Windows Registry.

Custom Scan

To conduct a Custom Scan, click the Options button the left of Registry Mechanic's screen, followed by the Custom Scan button on the Options screen. The Custom Scan screen displays.

  1. Select the available sections of the registry that you wish to scan by selecting or clearing the appropriate check boxes.

  2. Click the Start Scan button to commence the scan.

If you made changes to your selections, a message prompts you to save these changes. Click Yes to continue with your section selection and save it. Click No to cancel your section selection and continue with your previously saved selection.

Notes:

  • If you have changed the section selection prior to clicking the Start Scan button, a message displays, prompting you to save changes:

    • Click Yes to save your section selection and continue scanning with this selection.

    • Click No to discard your section selection. Control returns to the Main Status screen.

  • By default, the first 10 sections on the Custom Scan screen are selected.

Scanning your system

During a scan, the Scanning screen is displayed. As Registry Mechanic scans your system, colored bars increment from left to right, providing an indication of how far the scan has progressed. The upper bar indicates the overall scan progress, while the lower bar indicates the progress of the current section being scanned.

The time taken to progress through a scan depends on a number of factors, including:

  • The number of sections you have requested Registry Mechanic to scan.

  • The speed of your system.

  • The amount of problems found in your Registry.

  • Any third party applications running in the background, such as virus protection software.

To stop the scan at any time, click the Stop button. A message prompts you to confirm if you wish to cancel the current scan.

  • To continue with the current scan, click the No button.

  • To terminate the current scan, click the Yes button. The Scan and repair summary screen displays, where you can click Continue to go back to the Main Status screen.

When Registry Mechanic has finished scanning your system, the Scan results screen displays. Here you can view the individual problems detected by the scan and modify the actions you require before implementing them with the Repair function.


Scan results and modifying problems

Scan results screen

When Registry Mechanic has finished scanning your system, the Scan results screen is displayed. All problems that Registry Mechanic found in a scan can be accessed from this screen.

The action properties of each problem can be modified here before implementing any repairs and changes into the Windows Registry with the Repair function.

Scan results screen

On the left is a list of sections scanned. The number of problems found in each section are displayed in brackets after the section name.

The total number of problems found in a scan is indicated at the top of the section list. In the above example, Registry Mechanic found a total of 37 problems.

Click a section name on the left to display details of the individual problems belonging to that section on the right of this screen. In the above example, the "Custom Controls" section has been selected and the details of each of its problems are displayed on the right. As shown in the image above, the selected problem and section are highlighted blue.

Click "All sections" if you wish to view if you wish to view all problems found, in one list, instead of by section.

The details of each problem displayed on the Scan results screen include:

  • First line - the priority level of the problem (high, medium or low, depending on the section to which the problem belongs), a brief description of the problem, and the action to be performed on the problem when the Repair function is executed.

  • Second line - the location in the registry where the problem was found.

  • Third line - the name of the problematic value and the data it contains. The color of the data changes depending on the action to be performed on the problem.

Note: While Registry Mechanic is unregistered, some sections of the registry cannot be modified and repaired. These restricted sections and their problems are represented with padlock symbols on the Scan results screen. Click here for more information on registering Registry Mechanic.

Modifying problems

To modify a problem, right-click or double-click the problem on the Scan results screen (away from its check box), which brings up the pop-up menu below.

Alternatively, a problem can be modified by first selecting it on the Scan results screen (away from its check box) and then choosing the appropriate action from the "Options" menu at the top-left of this screen.

The pop-up and "Options" menus are identical and list all actions that can be performed on problems before they are implemented with the Repair function.

Click on a menu item for more information:

Scan results screen pop-up

When you are satisfied with the actions and modifications to the problems indicated on the Scan results screen, you are ready to execute the Repair function. Clicking this button implements all available actions and modifications to the relevant entries in the registry, including additions to Ignore Lists.

Note: If you do not wish to repair any problems on the Scan results screen, click the Close button on the lower-right of this screen. You will proceed directly to the Scan and Repair summary screen.

Keep Item

By default, all problems on the Scan results screen are automatically selected for deletion, as indicated by the green tick in each problem's check box.

To prevent a problem being deleted such that the registry entry is left unchanged upon executing the Repair function, clear the item's check box on the Scan results screen or select "Keep Item" from the pop-up or "Options" menu.

Back to Modifying Problems

Delete Item

To select a problem for repair such that the registry entry is deleted upon executing the Repair function, select the item's check box on the Scan results screen or select "Delete Item" from the pop-up or "Options" menu.

Please note that by default, all problems on the Scan results screen are automatically selected for repair, as indicated by the green tick in each problem's check box.

Back to Modifying Problems

Replace with...

Registry Mechanic can scan your hard drive for suggested corrections to registry entries which contain erroneous path values that point to invalid or missing files on your system. For a selected problem on the Scan results screen whose value points to an invalid or missing file, a 'suggested correction' can be chosen if another file with the same name was found elsewhere on your system during the scan. If the suggested correction is chosen, the entry's path value is updated in the registry upon executing the Repair function.

Note: To use this function, you must have the "Scan files for suggested correction" option selected on the General options screen. This option can be accessed by clicking the Options -> General buttons from the Main Status screen.

To replace a problem's value with a suggested correction, select "Replace with..." from the pop-up or "Options" menu.

  • If Registry Mechanic found no alternatives, a message indicating "No replacements found" is displayed. Click the OK button to continue.

  • If Registry Mechanic did find alternatives, a list of these is displayed on the resulting Suggested Corrections dialog box. Select an appropriate correction and then take one of the following actions:

    • To accept a suggested correction for a value, click the Replace button. On the Scan results screen, the problem's check box updates to a downward-pointing green arrow and its value is modified to your selection upon executing the Repair function.

    • To undo a suggested correction to a problem, click the Undo button. On the Scan results screen, the problem's value reverts back to the default 'Set to Delete' state.

    • If you decide not to replace a value with one of the suggested corrections, click the Close button. No change is made to the problem's value on the Scan results screen.

Note: If the "Scan files for suggested correction" option is not selected on the General options screen prior to scanning, or a problem does not contain an erroneous path value, "No replacements found" is displayed in the pop-up menu instead of "Replace With...".

Back to Modifying Problems

Add value/subkey to ignore list:

To prevent a registry entry's value or subkey being repaired when the Repair function is executed and from being detected in future scans, add the value or subkey to your personalized Ignore Lists.

To add a value or subkey to your personalized Ignore Lists, select "Add value to ignore list:..." or "Add subkey to ignore list:...", from the pop-up or "Options" menu. A confirmation message is displayed:

  • Click Yes to confirm that you want to add the value or subkey to your Ignore Lists. On the Scan results screen, the problem's check box updates to a '!' and it will not be repaired upon executing the Repair function.

  • Click No if you do not wish to add the value or subkey to your Ignore Lists.

Back to Modifying Problems

Keep All

In addition to keeping specific problems, all problems within a selected section of the Scan results screen can be kept.

To keep all problems within a section, select the section on the left of the Scan results screen and then select "Keep All" from the "Options" or pop-up menus. When this is done, the check boxes of all problems belonging to the selected section are cleared.

Note: To keep all problems found in a scan and then repair specific items, select the "All sections" section on the left of the Scan results screen, then select "Keep All" from the "Options" or pop-up menu. Specific items can then be selected for repair with the Delete Item action.

Back to Modifying Problems

Delete All

In addition to repairing specific problems, all problems within a selected section of the Scan results screen can be repaired.

To repair all problems within a section, select the section on the left of the Scan results screen and then select "Delete All" from the "Options" or pop-up menus. When this is done, the check boxes of all problems belonging to the selected section are selected. Specific items can then be kept using the Keep Item action.

Back to Modifying Problems

Close

Select "Close" to close the pop-up menu. Note: Selecting close from the "Options" menu at the top left of the Scan results screen closes this screen and takes you directly to the Scan and repair summary screen.

Back to Modifying Problems

When you are satisfied with the actions and modifications to the problems indicated on the Scan results screen, you are ready to execute the Repair function. Clicking this button implements all available actions and modifications to the relevant entries in the registry, including additions to Ignore Lists.


Repairing problems

To repair problems in your Windows Registry:

  1. Conduct a scan and make any required modifications to problems on the Scan results screen.

  2. Execute the Repair function by clicking the Repair button of the Scan results screen.

The Repair function can also be run by selecting "Repair" from the "Options" menu at the top-left of this screen.

Registry Mechanic automatically creates a backup of the entries it changes in the Windows Registry when the Repair function is executed. These backups allow you to undo any of these changes, and can be accessed through the Restore registry backup screen. Please be aware that this is not the same as creating a System Restore Point on Windows XP systems. If you have selected the "Create a System Restore Point before repair (XP)" option on the General options screen, Windows also creates a System Restore Point before implementing any changes to the registry.

  3. When the Repair function has completed implementing changes to the Windows Registry, the Scan and Repair summary screen displays.


Scan and repair summary screen

This screen is displayed after the Repair function has been executed or the Results screen has been closed and presents the following information:

  • Total items found: The total number of problems found in the scan.

  • Total items ignored: The total number of problems ignored in the scan as a result of items in the user's Ignore List and Registry Mechanic's internal Ignore List.

  • Total items restricted: This information is shown only when Registry Mechanic is unregistered. It indicates the number of problems identified in the scan that belong to sections which cannot be repaired until Registry Mechanic is registered.

  • Total items repaired: The total number of problems that were selected for repair on the results screen.

To go back to the Main Status screen, click the Continue button.

Note: The Register Now button is also shown on this screen in the Trial version, which allows you to register Registry Mechanic if clicked.


Closing, minimizing and maximizing Registry Mechanic

To close and exit Registry Mechanic, click the red 'X' in the top-right of Registry Mechanic's screen.

To minimize Registry Mechanic to the Windows Taskbar where it can subsequently be restored, click the 'minimize' icon in the top-right of Registry Mechanic's screen.

To maximize Registry Mechanic, click the 'maximize' icon in the top-right of Registry Mechanic's screen. Clicking this icon again restores the Registry Mechanic screen to normal size.


Advanced Features

This section describes how to utilize more advanced features of Registry Mechanic, which include altering its functionality, adjusting finer aspects of its scan and repair behavior and obtaining support and updates.

Please click on one of the following topics to go to its page:

  • Restore registry backup

  • Registry Mechanic Options

  • Optimize Your System

  • Compact Registry

  • Live Update

  • About


Restore registry backup

Registry Mechanic automatically creates a backup of the entries it changes in the Windows Registry when the Repair function is executed. These backups allow you to undo any of these changes.

To access Registry Mechanic's Restore backup function, click the Restore button on Registry Mechanic's screen. The Main Status screen is replaced with the Restore registry backup screen.

To restore a registry backup created by Registry Mechanic, complete the following steps:

  1. On the Restore registry backup screen, select the check box next to the appropriate registry backup in the list.

Note: If the number of registry backups becomes difficult to manage, the registry backup list can be sorted by clicking the appropriate field name at the top of the list. Registry backups can be sorted alphanumerically by the following criteria:

  • Name - the name of the registry backup.

  • Creation date - the date and time when the registry backup was created.

  • Size - the size of the registry backup.

Clicking multiple times on a field name toggles between forward and reverse sorting by that criterion.

  2. Click the Restore button. Changes implemented in the repair action that created the selected backup are reverted back to their original state, and you are returned to the Main Status screen.

To restore individual entry items within a registry backup, complete the following steps:

  1. On the Restore registry backup screen, open the appropriate registry backup by double-clicking its name in the list or by selecting its check box and clicking the Open button.

  2. Select the check boxes next to the appropriate entry items. Other selection options are available in a right-click menu, which is invoked by right-clicking anywhere in the list.

Note: If the number of entry items becomes difficult to manage, the entry items list can be sorted by clicking the appropriate field name at the top of the list. Entry items can be sorted alphanumerically by the following criteria:

  • Hive - the name of the hive in the registry where the change was implemented.

  • Registry Location - the specific location of the entry item in the associated hive of the registry.

  • Value Name - the value name of the entry item that was repaired.

  • Data - the original value data that was repaired.

  • Type - indicates the validity of the entry item. '1' indicates a valid entry item.

Clicking multiple times on a field name toggles between forward and reverse sorting by that criterion.

  3. Click the Restore button. The selected entry items are restored back to their original state, and you are returned to the Restore registry backup screen.

To delete a Registry backup, complete the following steps:

  1. On the Restore registry backup screen, select the check box next to the appropriate registry backup in the list.

  2. Click the Delete button, and the selected registry backup is deleted.

If you do not wish to restore or delete any further backups, click the Finish button. This closes the Restore registry backup screen and returns you to the Main Status screen.

Notes:

  • If no Registry backups are available in the list, the Restore and Delete buttons are not available.

  • Restoring a Registry backup is not the same as restoring a Windows System Restore Point. Windows System Restore Points can be restored via the standard Windows procedure.


Registry Mechanic Options

Registry Mechanic's functionality and scanning behavior can be altered through the Options screen.

To access the Options screen, click the Options button on Registry Mechanic's screen. On the left of the Options screen, choose an options category by clicking the appropriate button on the left.

The following options categories are available:

  • General options

  • Custom Scan

  • Shortcut Settings

  • Ignore Lists

The Options screen also has two additional buttons:

  • Save - saves the current state of all option categories on the Options screen and returns you to the Main Status screen.

  • Cancel - ignores all changes made on all option categories on the Options screen and returns you to the Main Status screen.

You are prompted to save any changes made to options categories on the Options screen. Click Yes to save these changes or No to discard them. You are returned to the Main Status screen.

General options

The General settings screen is shown by default whenever the Options screen is opened. The General settings screen is divided into two sections: Scan and Repair and Startup and Language.

Scan and Repair

This section allows you to alter the scanning behavior of Registry Mechanic.

Create a System Restore Point before repair (XP) - Select this check box to make Windows create a System Restore point prior to registry changes being implemented upon execution of the Repair function. Please note the following when selecting this option.

  • If the Windows System Restore function is deactivated, selecting this option results in Windows displaying a message, prompting you that the Windows System Restore function is turned off. Click the Yes button to display the Windows System Properties property sheet at the System Restore page, where Windows System Restore can be activated.

  • If this option is cleared, Registry Mechanic will not prompt you to turn off the Windows System Restore function as this results in Windows deleting all previously created System Restore Points.

Important: If you wish to restore System Restore Points created by Registry Mechanic on future occasions, you should not turn off the Windows System Restore function. Doing so results in Windows deleting all previously created System Restore Points.

Notes:

  • The "Create a Restore Point before repair" feature is available on Windows XP versions only.

  • Creating a Restore Point is a separate function from the registry backup that is automatically created by Registry Mechanic prior to changes being implemented in the registry upon executing the Repair function.

Remove All Problems Automatically - Select this check box to make the Repair function run automatically after the Scan results screen is displayed for 10 seconds. During the 10 second countdown the automatic Repair can be terminated by clicking the Close button.

Scan files for suggested correction - Select this check box to make Registry Mechanic scan the \WINDOWS and \Program Files system directories for suggested corrections to the path values of registry entries that contain invalid or missing links to files. Replacing values with suggested corrections is conducted when modifying problems on the Scan results screen.

Log Scanning - Select this check box to make Registry Mechanic create log files that record the state of your system following a scan. These informative log files do not consume substantial disk space and it is recommended that this option remain selected for Support purposes.

Open Log Folder button - Click this button to open Registry Mechanic's log file directory. The files in this directory are used for Support purposes only and should not be edited.

Startup and Language

Select these options from their drop-down box:

Automatic - Select Full Scan or Custom Scan to make Registry Mechanic conduct a respective Full Scan or Custom Scan of the registry when Windows starts up. If this option is set to Disabled, Registry Mechanic does not conduct a scan upon Windows startup.

Language - Changes the language of text appearing on the Registry Mechanic GUI.

Custom Scan

This screen allows you to conduct a Custom Scan of the Windows Registry according your choice of sections. Please refer to the Custom Scan section of the Scan You Registry topic for further information.

Shortcut Settings

The Shortcut Settings screen allows you to set which directories, hard drives or partitions on your system are scanned for orphaned shortcuts when the Program Shortcuts section of Registry Mechanic is scanned. Note: The settings on this screen do not affect your scan if Registry Mechanic's Program Shortcuts section has not been selected in a Custom Scan.

When Registry Mechanic is installed, the following paths are provided in the "Which locations do you wish to include while scanning for shortcuts?" list box:

  • The root directories of all hard drives available on your system, for example, 'C:\'.

  • The Start Menu paths for both logged on and All Users.

  • The My Documents and Desktop paths for logged on users.

To ensure that a path is scanned for Program Shortcuts, select its check box. By default, only the Start Menu paths for both logged on and All Users are selected.

To add a path to the list, click on the Add button, browse to the appropriate path in the "Browse for Folder" dialog and click the OK button.

To delete a path from the list, select the appropriate path and click the Delete button.

Ignore Lists

The Ignore List screen lists the values or subkeys that have been added to your Ignore Lists from the Scan results screen. Any values you have added can be viewed and accessed by clicking the "Values" tab. Likewise, any subkeys added can be accessed by clicking on the "Keys" tab.

The Ignore List manager screen has three buttons below the lists, used for modifying items within your Value or Keys Ignore Lists. These functions only affect items within the selected list.

  • Add - allows you to create a new value or subkey from scratch and add it to your list.

  • Edit - allows you to edit an existing value or subkey. To edit an item, highlight it and click the Edit button.

  • Remove - allows you to remove specific items from your Ignore Lists. To remove items from this list, select their check boxes and click the Remove button. You can remove single items by highlighting them and clicking this button.

Note: Registry Mechanic also contains an Internal Ignore List, which is separate from this Ignore List. Updates to this list are released periodically and can be obtained via Live Update.


Optimize Your System

Registry Mechanic's Optimize Your System function applies a set of tweaks and patches to the Windows Registry which are designed to optimize and improve system performance. These tweaks and patches can improve Windows startup and shut down speeds, as well as the handling of hung processes and process termination.

The Optimize Your System / Reset Optimization button alternates between applying this set of tweaks and patches to the registry and reverting these back to recommended default values.

  • To optimize your system, click the Optimize Your System button on the Main Status screen. The tweaks and patches are applied to the registry and the button changes to Reset Optimization.

  • To revert these registry changes to their original condition, click the Reset Optimization button. The optimized tweaks and patches are rolled back to recommended default values and the button switches back to Optimize Your System.

What is optimized?

The following changes are implemented upon clicking the "Optimize Your System" button:

  • Windows is forced to unload DLLs from memory

Windows Explorer caches Dynamic-Link Libraries (DLLs) in memory for a period of time after the application using them has been closed. This can be an inefficient use of memory on low memory systems, and may cause problems or delays for programmers developing with Windows DLL files.

  • The Menu Show Delay is reduced

Windows normally delays menus before they are displayed. For regular users, this delay can be annoying. When this tweak is applied, the delay time is lowered. When this tweak is applied, this delay time is reduced.

  • Hung applications are ended automatically

When this tweak is applied, it will force Windows to shut down immediately, ending all tasks without attempting to safely close those that have hung, which can cause delays.

  • The Windows Prefetcher Service is optimized

The Windows XP Prefetcher component helps to shorten the amount of time it takes to start programs by fetching and storing commonly used files. When this tweak is applied, the service and cache are adjusted for optimum system performance.

  • Windows XP shut down period is reduced

Additional tweaks are applied that can reduce the time required for Windows XP to shut down.


Compact Registry

  1. Analyze your registry - this stage can take several minutes to complete and suspends your system. During this time, it is recommended that you do not conduct other tasks on your computer. Although Windows does not shut down and reboot during this stage, it is recommended that you save all your data and close any open applications before commencing it.

  2. Preview Results - after stage (i) is complete, the Preview Results screen displays.

Compact Preview Results screen

The following information is presented on this screen:

  • The amount of space wasted (in MB) due to registry gaps and corrupt keys, and the amount of space gained (as a percentage of the entire registry) when stage (iii) of the compacting process commences.

  • Details of the registry hives that are optimized when the compacting process is run. This can be viewed by clicking "More Info >>". The main Preview Results screen summary is retrieved by clicking "<< Back".

  3. Backup, compact and optimize your registry - after viewing the results, click Compact Now to implement the compacting changes. You are prompted to shut down and restart your computer. Registry compacting changes are implemented when your computer restarts.

  1. Analyze your registry - the Windows Registry Checker application runs and a message prompts you to restart your computer. Upon clicking this message's Yes button, Windows Registry Checker analyzes the registry, then shuts down and restarts your computer.

  2. Preview Results - due to the implementation of the registry compacting processes in Windows Me, this stage is skipped.

  3. Backup, compact and optimize your registry - when your computer restarts, registry compacting changes are implemented.

  1. Analyze your registry - a Registry Mechanic message prompts you to restart your computer and upon clicking Yes, Windows shuts down immediately. When your computer restarts, the Windows Registry Checker application runs and begins analyzing the registry.

  2. Preview Results - due to the implementation of the registry compacting processes in Windows 98, this stage is skipped.

  3. Backup, compact and optimize your registry - after the Windows Registry Checker application analyzes your registry, the compacting changes are implemented and Windows starts up.

Compact Registry

Registry compacting removes gaps, wasted space and corrupt keys from the registry, and performs physical defragmentation of the Windows registry files. When the compacting process is complete, the registry acquires a linear structure, which reduces application response and registry access times, and improves system performance.

To begin compacting the registry, complete the following steps:

  1. Click the Compact Registry button on the Main Status screen.

  2. The Registry Compacting information screen displays further details about the entire process, which is broken down into the following three stages:

    1. Analyze your registry - this step analyzes your registry for gaps, free space and corrupt keys.

    2. Preview Results - this screen allows you to view details on the compacting optimizations found. These optimizations are implemented upon starting the "Backup, compact and optimize your registry" stage. Note: This screen is only available on Windows XP, 2000 and NT operating systems.

Compact Preview Results screen

    3. Backup, compact and optimize your registry - this stage implements the compacting changes (as displayed on the Preview Results screen if available).

If the "Create System Restore Point" check box is selected, Registry Mechanic creates a System Restore Point prior to commencing stage (i) of the registry compacting process. This option is available on Windows XP operating systems only.

Click Yes to commence stage (i) of the Compacting Registry process, or No to return to the Main Status screen.

From this point, the registry compacting process differs depending on the version of Windows being used. Click the appropriate link for further details on how these three stages operate:

  • Windows XP, 2000 and NT operating systems

  • Windows Me operating systems

  • Windows 98 operating systems


Live Update

Live Update updates Registry Mechanic's features online. These features include updates to the Internal Ignore list, main application files for upgraded functionality and Help updates.

Note: Please ensure that this Help file is closed before commencing the download step in Live Update.

To run Live Update, complete the following steps:

  1. Click "Live Update" on Registry Mechanic's screen. Note: Live Update is only available to registered users of Registry Mechanic.

  2. Registry Mechanic closes and the Live Update wizard starts. Follow the prompts to download all available enhancements. If no updates are available, Live Update indicates that Registry Mechanic is already updated.

Note: If you see a red 'X' next to a component downloaded by Live Update, it is likely the component that Live Update tried to update is being 'locked' by Windows. Please close and restart Registry Mechanic, including this Help file, and immediately run Live Update again. If you still see red 'X's next to downloaded components, shut down and restart Windows, open Registry Mechanic and immediately run Live Update.

  3. Click the Finish button to exit the Live Update wizard. Registry Mechanic restarts automatically. New feature components downloaded by Live Update are available immediately.


About

The About screen displays information about your current version of Registry Mechanic, in addition to whether or not your installation of Registry Mechanic has been registered. If you have registered Registry Mechanic, your License Name and License Code details are displayed on this screen.


Appendices

The following appendices are available in this help document.

Please click on one of the following topics to go to its page:

  • Registry Mechanic's Scannable Sections

  • Contact Information


Registry Mechanic's scannable sections

This section contains critical Windows shell folder entries, which include folders such as My Documents, Favorites, Profiles, etc.

Registry Mechanic repairs Windows shell folder entries that do not or no longer exist at the locations specified in the registry.

This section contains the locations of software applications installed on the system. These locations are registered in the registry during application installation.

Registry Mechanic repairs the registry entries which reference software applications that do not exist or are no longer present at their specified locations.

This section contains the list of fonts that are registered in the fonts folder of the Windows operating system.

Default fonts folder locations are:

Windows 95 / 98 / Me / XP - C:\Windows\Fonts

Windows NT 4.0 / 2000 - C:\WINNT\Fonts

Registry Mechanic repairs the registry entries which reference fonts that do not or no longer exist in the Windows fonts folder.

The Windows standard states that applications should register their help files in this section of the registry.

Registry Mechanic repairs the registry entries which reference help files that do not or no longer exist in their specified locations.

This section contains the list of information associated with shared control files that are registered on the system.

Registry Mechanic repairs the registry entries which reference shared control files that do not or no longer exist on the hard drive.

Windows registers items that are set to run at Windows startup in this section of the registry. These registry entries contain references to the locations of these items on the hard drive.

To view the items that are set to run when Windows 98 / Me / XP starts up, click on Start -> Run -> type "msconfig" -> OK. When the System Configuration Utility displays, select the Startup tab to display the list of Startup Items.

Registry Mechanic repairs Startup Items in the registry that do not or no longer exist at their specified locations on the hard drive.

Software can be cleanly uninstalled using the standard Windows 'Add or Remove Programs' applet, which can be accessed from the Windows Control Panel.

If software removal was not conducted via the 'Add or Remove Programs' facility (for example, if a program was removed from the system by deleting the actual program installation folder through Windows Explorer), the link to the uninstallation file will remain in the 'Add or Remove Programs' list.

When this option is selected, Registry Mechanic removes these orphaned entries in the 'Add or Remove Programs' list.

This section contains the list of information associated with virtual drivers that are registered on the system.

Registry Mechanic repairs the registry entries which reference virtual drivers that do not or no longer exist on the hard drive.

This section contains the list of file extension that are usually registered in the registry during application installation.

Registry Mechanic repairs Windows file extension that are no longer associated with applications installed on your system. These problems can occur when the uninstaller of the application removes the program files from the hard drive, but does not remove the associated file extensions from the Registry.

When applications are installed, they register their custom control file locations as new entries in this section of the registry.

Registry Mechanic scans through the registered custom controls in the registry and repairs invalid registry entries which point to files that are no longer present on the hard drive.

The Deep Scan section covers areas of the registry not covered by the above-mentioned sections.

When this section is scanned, Registry Mechanic utilizes an advanced 'drill-down' algorithm to identify problems nested deep in the registry.

When a registry scan is conducted, Registry Mechanic scans all selected locations in the Options -> Shortcut Settings screen and removes orphaned shortcuts from the hard drive.

Registry Mechanic's scannable sections

Registry Mechanic is capable of scanning and repairing the following sections of the Windows Registry. Click on the section name for further information:

All sections scanned are extensively filtered and scanned securely to ensure registry integrity and optimization.

  • Registry Integrity

  • Software Locations

  • Windows Fonts

  • Help and Resources

  • Shared DLLs

  • Startup Programs

  • Add/Remove Programs

  • Virtual Devices

  • File Extensions

  • Custom Controls

  • Deep Scan

  • Program Shortcuts


Contact Information

E-mail: support@pctools.com

Web Site: http://www.pctools.com/contact/

Postal Address:

Level 6, 80 Arthur Street

North Sydney, NSW, 2060

Australia


Frequently Asked Questions (FAQs)

This section contains a list of technical FAQs designed to help you troubleshoot various aspects of running Registry Mechanic.

Click on one of the following FAQs to view the solution:

  1. Is Registry Mechanic targeted at novice or advanced users?

  2. How do I undo changes made to the Windows Registry by Registry Mechanic?

  3. How do I schedule Registry Mechanic to run at a certain time?

  4. I am having problems with Live Update.

  5. When starting Registry Mechanic I get the error "This program has been damaged."

  6. I get a runtime error message on startup.

  7. Registry Mechanic is registered, but after scanning and repairing consecutively, the same number of detected problems appear.

  8. Registry Mechanic appears to freeze and/or go white and indicate "Not Responding" during a Deep Scan.

  9. Registry Mechanic appears to be very slow and/or freeze at "HKEY_LOCAL_MACHINESoftware -> Building Index..."


Is Registry Mechanic targeted at novice or advanced users?

Registry Mechanic is designed to be simple to use for novice users, although this product has more advanced features too.

To find out more about using Registry Mechanic, consult the Introduction or Getting Started sections of this document, which covers details on installing and running Registry Mechanic. You can find out more about Registry Mechanic's advanced features from the Advanced Features section.


How do I undo changes made to the Windows Registry by Registry Mechanic?

To undo any changes made by Registry Mechanic, complete the following steps:

  1. On the Main Status screen, click the Restore button.

  2. On the Restore registry backup screen, select the check boxes next to the backups you want to restore.

  3. Click Restore at the bottom of the screen.


How do I schedule Registry Mechanic to run at a certain time?

You can use the following commands in conjunction with a 3rd party scheduler to schedule a Registry Mechanic scan. The command line options are:

"[Path where Registry Mechanic has been installed on your system]\RegMech.exe" [Command line switch]

The command line switch can be either "/S" for a Full Scan or "/QS" for a Custom Scan.

For example, the following command runs Registry Mechanic Full Scan:

"C:\Program Files\Registry Mechanic\RegMech.exe" /S


I am having problems with Live Update.

The problem you are experiencing is generally due to one of the following three reasons:

  • No Internet connection - please ensure you are connected to the Internet when attempting to perform a Live Update.

  • Firewall / Proxy Server blockage - you may need to temporarily disable your firewall or proxy server to perform Live Update, as these could interpret Registry Mechanic's Live Update function as a malicious process. If possible, place Registry Mechanic's "liveupdate.exe" on your firewall or proxy server's "Allowed Processes" list. This will allow you to run future Live Updates with your firewall or proxy server enabled.

  • Virus Scanner interference - you may need to temporarily disable your virus scanner to perform a Live Update, as these applications could determine the download as an attempt to infect your computer with a virus. Please remember to re-enable your Virus Scanner when Registry Mechanic's Live Update has completed.


When starting Registry Mechanic I get the error This program has been damaged.

To resolve the issue, complete the following steps:

  1. Ensure that Registry Mechanic has been closed.

  2. Uninstall Registry Mechanic by clicking on Start -> All Programs / Programs -> Registry Mechanic (folder) -> Uninstall Registry Mechanic and follow the prompts to remove the application from your computer.

  3. If necessary, navigate to the "Registry Mechanic" folder on your hard drive and delete the folder and its entire contents. This is folder is usually found within the "Program Files" folder.

  4. Re-install Registry Mechanic.


I get a runtime error message on startup.

Sometimes, you may encounter errors caused by some VB runtime and MS scripting files not having been properly installed or removed from your system.

Errors may include:

  • "Class factory cannot supply the requested class. Error Source SetAll Text Function"

  • "Run-time error '-2147221231 (80040111)': Automation error ClassFactory cannot supply requested class"

  • "Run-time error '429'"

  • "ActiveX component can't create object"

To resolve the issue, complete the following steps:

  1. Ensure that Registry Mechanic has been closed.

  2. Uninstall Registry Mechanic by clicking on Start -> All Programs / Programs -> Registry Mechanic (folder) -> Uninstall Registry Mechanic and follow the prompts to remove the application from your computer.

  3. If necessary, navigate to the "Registry Mechanic" folder on your hard drive and delete the folder and its entire contents. This is folder is usually found within the "Program Files" folder.

  4. Re-install Registry Mechanic.

If this procedure does not resolve this issue, please visit Windows Update and install any critical updates.

If this still does not resolve this issue, please lodge a support ticket by clicking here.


Registry Mechanic is registered, but after scanning and repairing consecutively, the same number of problems appear.

Please ensure you have the latest version of Registry Mechanic installed.

If this problem persists, it may be caused by recurring invalid entries, which can be created by the normal operation of some applications (including the Windows operating system itself). For example, when an application is executed, it may create files on your hard drive and place entries into the Registry that reference these files. When the program is shut down, it may remove these files from the drive but not their references in the Registry, thus creating invalid entries.

Please run a test to determine if Registry Mechanic is working correctly:

  1. Start Registry Mechanic.

  2. Run a Full Scan and Repair.

  3. Run a second Full Scan, immediately after completing step 2.

Are there any errors detected?

If not, then Registry Mechanic is correctly detecting and repairing the problems. However, if errors are still being detected, please send all your log files to support@pctools.com. When doing this, please send the entire contents of your Registry Mechanic log folder, which is usually located in "C:\Program Files\Registry Mechanic\log". For convenience, you may wish to compress this folder in zip or rar format.


Registry Mechanic appears to freeze and/or go white and indicate Not Responding during a Deep Scan.

Although Registry Mechanic may appear to hang during a scan, it is still running. Occasionally, Registry Mechanic needs additional time to build its invalid entry list within the detected problems window, which can make the application appear to hang during a scan. Once the invalid entry list is rebuilt, any future scans and repairs will occur within an acceptable time frame (normally within a few minutes).

If Registry Mechanic takes an excessively long time to complete a scan, please complete these steps outlined below:

  1. Just before the end of the evening, launch Registry Mechanic.

  2. Click either the Scan You Computer or Start Scan button on the Main Status screen, to conduct a Full Scan of your computer.

Let Registry Mechanic complete its scan process overnight.

  3. The next morning, click the Repair button on the Scan results screen. Please allow between 5-60 minutes for Registry Mechanic to complete its repair process.


Registry Mechanic appears to be very slow and/or freeze at HKEY_LOCAL_MACHINE\Software - Building Index...

The resident scanner of many anti-virus products significantly affects the speed of Windows Registry scanning software such as Registry Mechanic.

We have found that disabling the resident/real-time/auto-protect scanner of these products allows Registry Mechanic to scan within an acceptable time frame.

If the problem persists, please lodge a support ticket, which can be reached through our support pages, describing in detail the problem that is occurring and the name and version of your anti-virus product.


Licence Agreement

The following is a copy of the Licence Agreement which you entered into when you installed this software:

REGISTRY MECHANIC END USER LICENCE AGREEMENT ("EULA")

NOTIFICATION: PERMISSION TO USE THIS SOFTWARE IS CONDITIONAL UPON YOU AS THE CUSTOMER AND LICENSEE, AGREEING TO THE TERMS SET OUT BELOW.

YOU WILL NOT BE ABLE TO INSTALL THE SOFTWARE UNTIL YOU HAVE READ AND ACCEPTED ALL THE TERMS OF THIS LICENCE AGREEMENT AND WISH TO BECOME THE LICENSEE ("YOU") OF THE SOFTWARE. ACCEPTANCE SHALL BIND YOU AND ALL OF YOUR EMPLOYEES TO THE TERMS OF THIS LICENCE.

BY CLICKING THE "I ACCEPT THE AGREEMENT" BUTTON YOU WARRANT AND CONFIRM THAT YOU ARE ELIGIBLE AND HAVE THE AUTHORITY TO AGREE TO THE TERMS OF THIS LICENCE AGREEMENT.

SELECTING THE "I ACCEPT THE AGREEMENT" BEFORE THE "NEXT" BUTTON AT THE BOTTOM OF THIS SCREEN WILL BE DEEMED TO BE YOUR ACCEPTANCE OF THE FOLLOWING TERMS AND YOU WILL BECOME THE LICENSEE OF THE SOFTWARE. PLEASE PRINT A COPY FOR YOUR RECORDS.

IF YOU DO NOT WISH TO ACCEPT THE FOLLOWING TERMS, DO NOT CLICK ON THE "I ACCEPT THE AGREEMENT" BUTTON AND THE SOFTWARE WILL NOT INSTALL ON TO YOUR COMPUTER.

IN CIRCUMSTANCES WHERE YOU PURCHASE THE SOFTWARE WITHOUT ACCEPTING THE TERMS OF THIS LICENCE AGREEMENT AND WISH TO RETURN THE SOFTWARE, PLEASE CONTACT PC TOOLS PTY LTD ("PC TOOLS") TO DETERMINE WHETHER YOU ARE ELIGIBLE FOR A REFUND.

1. Licence

1.1 PC Tools has agreed to license use of the Software to you pursuant to this licence agreement and the terms and conditions set out below.

1.2 PC Tools grants to you a non-exclusive, non-transferable, revocable licence to:

(a) use the Software;

(b) make one copy for backup purposes only; and

(c) use the Software strictly in accordance with the provisions of this licence.

1.3 Except where clause 2.2 applies, if you wish to use the Software on more than one computer at the same time, you may make an additional copy upon receipt of written consent from PC Tools and upon payment of an additional licence fee as stipulated by PC Tools.

2. Licence Fee

2.1 Where a licence fee is payable by you in respect of the Software, you are not entitled to use the Software until the licence fee has been paid. In the case of payment by credit card, payment will not be deemed paid until the credit card payment has been authorised by the billing provider. A separate licence fee is payable in the circumstances described in clause 1.3.

2.2 If you are downloading a free trial version of the Software, you may use it on one or more computers for an unlimited period of time. However, you are not entitled to receive technical support nor the full functionality that comes with the Software until a licence fee has been paid.

3. Licencee's Obligations

3.1 As the Licencee You hereby undertake the following obligations:

(a) to not print, copy, reproduce, translate, adapt, vary, alter, change, reverse engineer, decompile or modify the Software by any means or in any other form other than to make one temporary copy of the Software for back-up and security purposes without the express consent of PC Tools, except as expressly authorised by this agreement;

(b) to supervise and control the use of the Software in accordance with the terms of this licence;

(c) to ensure your employees, sub-contractors and other agents who have authorised access to the Software are made aware of the terms of this licence;

(d) to not provide or otherwise make available the Software in any form to any person other than those referred to in paragraph (c) without the written consent of PC Tools; and

(e) to not give, lease, assign, license, sub-license, transfer, distribute, disclose, disseminate or publish the software in any form to any other person or attempt to do any of these acts;

(f) to not alter, change, remove or obscure any notices or other indications (including copyright notices) as to ownership of the Software;

(g) not to access or use the Software on more that one personal stand-alone computer, or otherwise allow the Software to be accessed or used by more than one user at any one time.

(h) to not engage in any acts which infringe PC Tools rights in the intellectual property rights in the Software;

3.2 You acknowledge that the Licence granted by Clause 1 does not make you the owner of the Software nor does it cause any transfer or assignment of any copyright or any other intellectual or industrial property rights subsisting in the Software to You.

4. Warranty

4.1 You hereby acknowledge that the Software cannot be guaranteed error free and further acknowledge that the existence of any such errors shall not constitute a breach of this licence agreement by PC Tools.

4.2 You acknowledge that PC Tools may offer to maintain and update the Software but it is not obliged to do so. Should you wish to receive information about updates please view PC Tools website on a regular basis at www.pctools.com.

4.3 In the event any statute implies terms into this agreement which cannot be lawfully excluded, such terms will apply to this agreement, save that the liability of PC Tools for breach of any such implied term will be limited, at the option of PC Tools, to any one or more of the following:

(a) the replacement of the Software to which the breach relates or the supply of equivalent Software;

(b) the repair of the Software;

(c) the payment of the cost of replacing the Software or of acquiring equivalent Software; or

(d) the payment of the cost of having the Software repaired.

4.4 If the liability of PC Tools for breach of any term, condition or warranty implied by law into contracts for the supply of goods and services ("Prescribed Terms") are capable of exclusion, they are hereby excluded to the fullest extent permitted by law.

4.5 Except as provided by the Prescribed Terms (if any), which are not capable of exclusion or limitation, or as expressly set out in these terms:

(a) PC Tools makes no warranties in relation to the Software, including warranties as to the performance or fitness for purpose of the Software;

(b) You will not under any circumstances have any cause of action against, or right to claim or recover from, PC Tools for or in respect of any loss, damage or injury (including without limitation any loss of profit, indirect or consequential loss, damage or injury) arising from the supply or use of the Software or any breach of these terms.

4.6 PC Tools will not be liable for any indirect or consequential damages arising out of a breach of this licence or arising out of the supply of defective Software.

4.7 You acknowledge that you have exercised your independent judgment in acquiring the Software and have not relied upon any representations made by PC Tools which have not been stated expressly in this agreement or upon any descriptions or illustrations or specifications contained in any document including catalogues or publicity material produced by PC Tools.

5. Copyright and Trade Marks

5.1 You acknowledge that the Software and all related products (including but not limited to computer manuals and computer literature) ("Products") are the subject of copyright. You therefore, shall not during or any time after the expiry or termination of this licence, permit any act which infringes that copyright and, without limiting the generality of the foregoing, You specifically acknowledge that you may not copy the Software or Products except as otherwise expressly authorised by this agreement.

5.2 You shall not during or at any time after the expiry or termination of this Licence permit any act which infringes the Trade Marks used in connection with the Software.

5.3 You shall indemnify PC Tools fully against all liabilities, costs and expenses which PC Tools may incur to a third party as a result of Your breach of the copyright and Trade Mark provisions of this agreement.

6. Term of Licence

6.1 This licence commences upon payment of the licence fee and is granted in perpetuity, but may be terminated in the following circumstances:

(a) if You are in breach of any term of this licence agreement;

(b) if You, being a corporation, become the subject of insolvency proceedings;

(c) if You, being a firm or partnership, are dissolved; or

(d) if You destroy the Software and/or the Products for any reason.

6.2 Upon termination, You or a representative nominated by You shall destroy any remaining copies of the Software and Products or otherwise return or dispose of such material in the manner directed by PC Tools.

6.3 Termination pursuant to this clause shall not affect any rights or remedies which PC Tools may have otherwise under this licence or at law.

7. Assignment

The benefit of this agreement shall not be dealt with in any way by You (whether by assignment, sub-licensing or otherwise) without PC Tools' written consent.

8. Waiver

Failure or neglect by either party to enforce at any time any of the provisions of this licence agreement shall not be construed or deemed to be a waiver of that party's rights under this licence.

9. Governing Law

This licence shall be governed by and construed according to the laws in force in Victoria, Australia.

If you have any questions or require clarification relating to the terms and conditions of this Licence Agreement, please contact PC Tools online at www.pctools.com or attention: PC Tools Pty Ltd, PO Box 1974, North Sydney NSW 2061 Australia.


Main screen

Registry Mechanic's Main Status screen


Results Screen

Scan results screen